=== requirements.txt ===
python-coveralls
coverage
mock
nose
pyflakes
pycodestyle
progressbar231
