=== debian/changelog ===
python-bitmath (1.3.3.1-2) unstable; urgency=medium

  * Source-only upload to allow transition to testing.

 -- Michael Fladischer <fladi@debian.org>  Sun, 19 Nov 2023 18:07:06 +0000

python-bitmath (1.3.3.1-1) unstable; urgency=low

  * Initial release (Closes: #1051637).

 -- Michael Fladischer <fladi@debian.org>  Sun, 10 Sep 2023 18:51:13 +0000
