=== debian/control ===
Source: python-bitmath
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 libjs-mathjax,
 pybuild-plugin-pyproject,
 python3-all,
 python3-mock,
 python3-progressbar,
 python3-pytest,
 python3-setuptools,
 python3-sphinx,
Standards-Version: 4.6.2
Homepage: https://github.com/tbielawa/bitmath
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-bitmath
Vcs-Git: https://salsa.debian.org/python-team/packages/python-bitmath.git
Rules-Requires-Root: no

Package: bitmath
Section: devel
Architecture: all
Depends:
 python3-bitmath (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: handle file sizes with different prefix notations
 bitmath simplifies many facets of interacting with file sizes in various units.
 Originally focusing on file size unit conversion, functionality now includes:
  * Converting between SI and NIST prefix units (kB to GiB)
  * Converting between units of the same type (SI to SI, or NIST to NIST)
  * Automatic human-readable prefix selection (like in hurry.filesize)
  * Basic arithmetic operations (subtracting 42KiB from 50GiB)
  * Rich comparison operations (1024 Bytes == 1KiB)
  * bitwise operations (<<, >>, &, |, ^)
  * Reading a device's storage capacity (Linux/OS X support only)
  * argparse integration as a custom type
  * click integration as a custom parameter type
  * progressbar integration as a better file transfer speed widget
  * String parsing
  * Sorting
 .
 In addition to the conversion and math operations, bitmath provides human
 readable representations of values which are suitable for use in interactive
 shells as well as larger scripts and applications. The format produced for
 these representations is customizable via the functionality included in stdlibs
 string.format.

Package: python-bitmath-doc
Section: doc
Architecture: all
Depends:
 libjs-mathjax,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: handle file sizes with different prefix notations (Documentation)
 bitmath simplifies many facets of interacting with file sizes in various units.
 Originally focusing on file size unit conversion, functionality now includes:
  * Converting between SI and NIST prefix units (kB to GiB)
  * Converting between units of the same type (SI to SI, or NIST to NIST)
  * Automatic human-readable prefix selection (like in hurry.filesize)
  * Basic arithmetic operations (subtracting 42KiB from 50GiB)
  * Rich comparison operations (1024 Bytes == 1KiB)
  * bitwise operations (<<, >>, &, |, ^)
  * Reading a device's storage capacity (Linux/OS X support only)
  * argparse integration as a custom type
  * click integration as a custom parameter type
  * progressbar integration as a better file transfer speed widget
  * String parsing
  * Sorting
 .
 In addition to the conversion and math operations, bitmath provides human
 readable representations of values which are suitable for use in interactive
 shells as well as larger scripts and applications. The format produced for
 these representations is customizable via the functionality included in stdlibs
 string.format.
 .
 This package contains the documentation.

Package: python3-bitmath
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-bitmath-doc,
Description: handle file sizes with different prefix notations (Python3 version)
 bitmath simplifies many facets of interacting with file sizes in various units.
 Originally focusing on file size unit conversion, functionality now includes:
  * Converting between SI and NIST prefix units (kB to GiB)
  * Converting between units of the same type (SI to SI, or NIST to NIST)
  * Automatic human-readable prefix selection (like in hurry.filesize)
  * Basic arithmetic operations (subtracting 42KiB from 50GiB)
  * Rich comparison operations (1024 Bytes == 1KiB)
  * bitwise operations (<<, >>, &, |, ^)
  * Reading a device's storage capacity (Linux/OS X support only)
  * argparse integration as a custom type
  * click integration as a custom parameter type
  * progressbar integration as a better file transfer speed widget
  * String parsing
  * Sorting
 .
 In addition to the conversion and math operations, bitmath provides human
 readable representations of values which are suitable for use in interactive
 shells as well as larger scripts and applications. The format produced for
 these representations is customizable via the functionality included in stdlibs
 string.format.
 .
 This package contains the Python 3 version of the library.
