=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

execute_before_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR) python3 -m sphinx -b html -d $(CURDIR)/docsite/.build/.doctrees -N $(CURDIR)/docsite/source $(CURDIR)/debian/python-bitmath-doc/usr/share/doc/python-bitmath-doc/html
endif

execute_after_dh_clean:
	rm -rf $(CURDIR)/docsite/.build
