=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/([\d\.]+.*)$/python-bithmath-$1/ \
https://github.com/tbielawa/bitmath/tags \
/tbielawa/bitmath/archive/refs/tags/([\d\.]+)\.tar\.gz
